"Polarity" by "William Moore"

[

Copyright (c) 2022. William R. Moore

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

]

The story description is "This is a simulation of what it is like to live with bipolar 2 disorder. If you find yourself in a similar situation, please seek out therapy immediately.".
The story headline is "An interactive fiction simulating what it is like to have bipolar 2 disorder".
The release number is 1.
Release along with interpreter, cover art, library card, and source text.

Chapter 1 - The Set Up

Polarity is a kind of value. Polarity is hypomanic and depressive. A person has polarity. A person is usually depressive.
The player has a number called money. The money of the player is 500.
When play begins:
	now the right hand status line is "Money: $[money of the player]".

Table of Typings
Typings
"You moodily press away at the keys, try to compile, and it fails. 'Blast!', you proclaim."
"You moodily press away at the keys, try to compile, and it succeeds. You fist pump!"
"You moodily press away at the keys."
"You moodily press away at the keys, try to compile, and the computer just spins."
"You moodily press away at the keys, try to compile, and it succeeds. You dance a jig!"

Chapter 2 - The Map

The Mind is a room. The description is "This is the mind of your basic Midwestern person who is suffering from undiagnosed bipolar 2 disorder.".

Chapter 3 - Things

Computer is a thing. It is fixed in place. It is in the Mind. The description is "It is just a generic, underpowered computer you can use to somewhat develop software on.".
ye flask is a thing. It is in the Mind. The description is "It is a flask containing some unknown liquid.".

Chapter 4 - Actions

Instead of taking ye flask, say "You can't get ye flask."

Understand "type on [something]" as typing. Typing is an action applying to one visible thing.

Instead of typing when the noun is computer:
	let rr be a random number from 1 to number of rows in Table of Typings;
	say "[Typings in row rr of Table of Typings]".

Chapter 5 - The Game

When play begins:
	say "You are a person suffering from the mental health condition called bipolar 2 disorder. In this game, we will simulate what it feels like to have the condition through your finances.[paragraph break]If you reach at least $1000, you win the game and can afford therapy. If you reach 0 or less due to spending while hypomanic, you will lose the game.[paragraph break]When depressive, you will still be able to funciton as a software developer and gain what little income you can. When hypomanic, you will spend, sometimes too much, risking going into debt. Good luck!".

Every turn while the polarity of the player is hypomanic:
	let money to subtract be a random number from 1 to 150;
	say "You lose $[money to subtract] from your bank account due to random spend because you are in a hypomanic state!";
	decrease money of the player by money to subtract.

Every turn while the polarity of the player is depressive:
	let money to add be a random number from 1 to 100;
	say "You gain $[money to add] from your job as a software engineer despite being in a depressive state.";
	increase money of the player by money to add.

Every turn:
	let state switching be a random number from 1 to 100;
	if state switching is less than 30:
		now the polarity of the player is hypomanic;
	otherwise:
		now the polarity of the player is depressive;
	if money of the player is less than 1:
		say "You have gone into debt from your spending due to the hypomanic state of your mental health condition.[paragraph break]Please, seek out help if you find yourself in such a situation where you're exhibiting similar symptoms to bipolar disorder (1, 2, cyclothemia, etc.)";
		end the story;
	if money of the player is greater than 1000:
		say "Despite your mental health condition, you have acquired enough money to seek therapy and still pay for basic needs.[paragraph break]Please, seek out help if you find yourself in such a situation where you're exhibiting similar symptoms to bipolar disorder (1, 2, cyclothemia, etc.)";
		end the story.
